#
# spec file for package python-flake8-pep3101
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-flake8-pep3101
Version:        2.1.0
Release:        1.3
Summary:        Checks for old string formatting
License:        GPL-2.0-only
Group:          Development/Languages/Python
URL:            https://github.com/gforcada/flake8-pep3101
Source:         https://files.pythonhosted.org/packages/source/f/flake8-pep3101/flake8_pep3101-%{version}.tar.gz
BuildRequires:  %{python_module hatchling}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-flake8 >= 3.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module flake8 >= 3.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module testfixtures}
# /SECTION
%python_subpackages

%description
Checks for old string formatting.

%prep
%autosetup -p1 -n flake8_pep3101-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest run_tests.py

%files %{python_files}
%doc CHANGES.rst README.rst
%license LICENSE
%{python_sitelib}/flake8_pep3101.py
%pycache_only %{python_sitelib}/__pycache__/flake8_pep3101*
%{python_sitelib}/flake8_pep3101-%{version}.dist-info

%changelog
* Tue Dec  5 2023 Dirk Müller <dmueller@suse.com>
- update to 2.1.0:
  * Drop python 3.7 support.
  * Test against python 3.12.
  * Use `pyproject.toml` rather than `setup.py`.
  * Switch from `setuptools` to `hatchling`.
  * Switch to `main` branch.
  * Use `tox` and `pre-commit` to ease project maintenance.
* Sat Oct  8 2022 Daniel Garcia <daniel.garcia@suse.com>
- Update to 2.0.0:
  * Update dependencies. [gforcada]
  * Test the code on GitHub actions. [gforcada]
  * Drop python 2.7 and only support python 3.7+. [gforcada]
  * Use linters and formatters to keep code sane and beautiful. [gforcada]
  * Simplify the amount of code to write a test. [gforcada]
- Delete 29.patch, not needed anymore
* Tue Oct  4 2022 Daniel Garcia <daniel.garcia@suse.com>
- Add 29.patch to fix tests
* Thu Apr 16 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.3.0:
  * Warn about "string %%i" %% 33 which was previously ignored.
* Thu Feb 21 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.2.1
